#ifndef TREEDELEGATE_H
#define TREEDELEGATE_H

#include <QItemDelegate>

class TreeDelegate : public QItemDelegate
{
        Q_OBJECT;
public:
    TreeDelegate();
    void setModelData(QWidget *editor, QAbstractItemModel *model,
                          const QModelIndex &index) const;
signals:
    void nameChanged() const;
};

#endif // TREEDELEGATE_H
